{{- /* Test if Huishoudboekje secrets can be found */ -}}
{{ $banktransactieserviceSecret := printf "%s-banktransactieservice-database" .Values.hhbReleaseName }}
{{ $fileserviceSecret := printf "%s-fileservice-database" .Values.hhbReleaseName }}
{{ $huishoudboekjeserviceSecret := printf "%s-huishoudboekjeservice-database" .Values.hhbReleaseName }}

{{- if not (lookup "v1" "Secret" .Release.Namespace $banktransactieserviceSecret) -}}
  {{- fail (printf "secret could not be found: %s, please fix." $banktransactieserviceSecret) -}}
{{- end -}}
{{- if not (lookup "v1" "Secret" .Release.Namespace $fileserviceSecret) -}}
  {{- fail (printf "secret could not be found: %s, please fix." $fileserviceSecret) -}}
{{- end -}}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ .Release.Name }}-migrate-banktransactieservice-db
  labels:
    {{- include "hhb2-1-to-2-1-4.labels" . | nindent 4 }}
spec:
  backoffLimit: 1
  template:
    metadata:
      labels:
        {{- include "hhb2-1-to-2-1-4.selectorLabels" . | nindent 8 }}
    spec:
      restartPolicy: Never
      securityContext:
        runAsNonRoot: true
      containers:
        - name: migration
          image: python:3.10
          imagePullPolicy: IfNotPresent
          command: ["bash"]
          args:
            - "-c"
            - "python -m venv /tmp/venv; source /tmp/venv/bin/activate; pip install -r /script/requirements.txt; python /script/main.py"
          env:
            - name: DB_BANKSERVICE_URL
              valueFrom:
                secretKeyRef:
                  name: {{ $banktransactieserviceSecret }}
                  key: POSTGRESQL_URL_LEGACY
            - name: DB_FILESERVICE_URL
              valueFrom:
                secretKeyRef:
                  name: {{ $fileserviceSecret }}
                  key: POSTGRESQL_URL_LEGACY
          volumeMounts:
            - name: script
              mountPath: /script
      volumes:
        - name: script
          configMap:
            name: {{ .Release.Name }}-hhb2-1-to-2-1-4
            defaultMode: 0504
